com.taosdata.jdbc.ws.stmt2.entity

## Class EWBackendThreadInfo

- java.lang.Object
- - com.taosdata.jdbc.ws.stmt2.entity.EWBackendThreadInfo

    public class EWBackendThreadInfo
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`EWBackendThreadInfo(int writeQueueSize, int serialQueueSize)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AtomicBoolean` `getSerializeRunning()`
`ArrayBlockingQueue<EWRawBlock>` `getSerialQueue()`
`ArrayBlockingQueue<Map<Integer,Column>>` `getWriteQueue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EWBackendThreadInfo

    public EWBackendThreadInfo(int writeQueueSize,
                               int serialQueueSize)

### Method Detail

#### getWriteQueue

    public ArrayBlockingQueue<Map<Integer,Column>> getWriteQueue()

#### getSerialQueue

    public ArrayBlockingQueue<EWRawBlock> getSerialQueue()

#### getSerializeRunning

    public AtomicBoolean getSerializeRunning()